%define	name	vertex
%define	version 0.1.14
%define release 1mdk
%define summary	3D model assembler

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License: 	GPL
Group: 		Graphics
Source0:	ftp://wolfpack.twu.net/users/wolfpack/%{name}-%{version}.tar.bz2
Source1:	%{name}-16.png.bz2
Source2:	%{name}-32.png.bz2
Source3:	%{name}-48.png.bz2
Url: 		http://wolfpack.twu.net/Vertex
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	Mesa-common-devel libgtk+1.2-devel libgtkglarea-devel

%description
Vertex 3D Model Assembler (often reffered to as just Vertex) is a unique
modeller designed specifically for generating high-performance and
efficient 3D models which can contain additional third party proprietery
data suitable for applications using OpenGL style of graphics rendering.

Vertex features support for multiple models and editing of proprietery
data found within these models. It has many tools for mass editing and
gives instant rendering feedback.

%prep
rm -rf $RPM_BUILD_ROOT
%setup
# mv LICENSE at usual location
mv -f vertex/data/LICENSE .
bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png

%build
export CFLAGS=$RPM_OPT_FLAGS
./configure Linux -v --disable=arch-i686
make

%install
make PREFIX=$RPM_BUILD_ROOT%_prefix MAN_DIR=$RPM_BUILD_ROOT%{_mandir}/man1 install

# icons
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png 
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png 
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# menu entry
mkdir -p $RPM_BUILD_ROOT%{_libdir}/menu
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\\
	command="%{_bindir}/%{name}"\\
	needs="X11"\\
	icon="%{name}.png"\\
	section="Multimedia/Graphics"\\
	title="Vertex" \
	longtitle="3D model assembler"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files 
%defattr(-,root,root)
%doc AUTHORS INSTALL LICENSE README
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.xpm

%changelog
* Fri May 02 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.1.14-1mdk
- 0.1.14

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.1.10-3mdk
- rebuild

* Fri May 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.1.10-2mdk
- rebuild against new libstdc++

* Wed Feb 27 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.1.10-1mdk
- 0.1.10
- fixed changelog
- bzipped and converted icons to png

* Mon Dec 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.9-1mdk
- 0.1.9

* Tue Oct 30 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.1.8-1mdk
- 0.1.8
- fixed changelog

* Mon Oct 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.6-3mdk
- rebuild against new libpng

* Wed Oct 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.6-2mdk
- fixed by Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- icons in right place

* Sat Sep 15 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.1.6-1mdk
- 0.1.6
- dropped gtk config patch

* Wed Aug 15 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.1.4-2mdk
- spec cleanup
- included forgotten man page

* Sat Aug 11 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.1.4-1mdk
- 0.1.4
- dropped demo files
- s/Copyright/License/
- adds Buildrequires libgtk+1.2-devel libgtkglarea-devel

* Fri Jun 15 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.1.2-1mdk
- 0.1.2
- added demo files

* Wed May 23 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.0.1d-1mdk
- first Mandrake release
